.collection {
    padding: rem(50) 0;

    &__header {
        display: flex;
        align-items: center;
        justify-content: space-between;
        margin-bottom: rem(25);
    }

    &__nav {
        display: flex;
        flex-grow: 1;
        align-items: center;
        position: relative;

        &:before {
            left: 0;
            bottom: 0;
            content: '';
            width: 100%;
            height: 1px;
            position: absolute;
            background: $gray-200;
        }
    }

    &__switcher {
        z-index: 10;
        border: none;
        outline: none;
        display: block;
        cursor: pointer;
        font-weight: 600;
        line-height: 125%;
        font-size: rem(15);
        position: relative;
        white-space: nowrap;
        background: transparent;
        padding: 0 rem(56) rem(10) 0;
        border-bottom: 1px solid transparent;
        transition: .25s;

        &:not(:last-child) {
            margin-right: rem(16);
        }

        &:hover,
        &.active {
            color: $purple;
            border-color: $purple;
            transition: .25s;
        }
    }

    &__link {
        display: none;

        .btn {
            height: rem(64);
            font-size: rem(13);
        }
    }

    &__body {
        position: relative;
    }

    &__footer {
        text-align: center;
        margin-top: rem(30);
    }

    &__button {
        display: none;
        margin: 0 auto;
        width: rem(224);

        &.active {
            display: block;
        }
    }

    &__content {
        top: 0;
        left: 0;
        z-index: 1;
        width: 100%;
        opacity: 0;
        visibility: hidden;
        position: absolute;

        &.active {
            z-index: 20;
            opacity: 1;
            visibility: visible;
            position: relative;
        }
    }

    @include media-breakpoint-up(md) {
        padding: rem(70) 0;

        &__header {
            margin-bottom: rem(35);
        }

        &__switcher {
            font-size: rem(20);
            padding: 0 rem(80) rem(12) 0;

            &:not(:last-child) {
                margin-right: rem(70);
            }
        }
    }

    @include media-breakpoint-up(lg) {}

    @include media-breakpoint-up(xl) {
        padding-top: rem(80);

        &__header {
            margin-bottom: rem(32);
        }

        &__nav {
            margin-right: rem(80);
        }

        &__switcher {
            font-size: rem(22);
            padding: 0 rem(62) rem(10) 0;

            &:not(:last-child) {
                margin-right: rem(30);
            }
        }

        &__link {
            display: block;
        }

        &__footer {
            display: none;
        }

        &__button {
            margin: 0;
            width: rem(230);
        }
    }

    @include media-breakpoint-up(xxl) {}

}

[data-collection-target] {

}

[data-collection-slider] {
    overflow: visible;

    .swiper-slide {
        width: rem(236);
    }

    @include media-breakpoint-up(md) {

        .swiper-slide {
            width: auto;
        }
    }

    @include media-breakpoint-up(xl) {

        .swiper-wrapper {
            display: grid;
            grid-column-gap: rem(20);
            grid-template-columns: 1fr 1fr 1fr 1fr;
        }
    }

    @include media-breakpoint-up(xxl) {

        .swiper-wrapper {
            grid-column-gap: rem(30);
            grid-template-columns: rem(490) 1fr 1fr 1fr;
        }
    }
}
